import logging.config
import yaml
import os
from pathlib import Path



def setup_logging(default_file='logging_config.yaml', default_level=logging.INFO):
    source_path = Path(__file__).resolve()
    source_dir = source_path.parent.parent
    q = source_dir / default_file
    if q.exists():
        with open(q, 'r') as f:
            config = yaml.safe_load(f)
        logging.config.dictConfig(config)
    else:
        logging.basicConfig(level=default_level)


if __name__ == '__main__':  
    # Example usage
    setup_logging()
    logger = logging.getLogger(__name__)
    logger.info("Logging is configured!")
    logger.debug("iterations")